List Brands
curl --request GET \
--url https://api.legitmark.com/api/brands \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.legitmark.com/api/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.legitmark.com/api/brands"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.legitmark.com/api/brands"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"rc_hit": true,
"rc_key": "brands:b3d8c2c047516490411d1b2d21695caf",
"message": "All the brands are fetched successfully.",
"brands": [
{
"uuid": "03e7eb07-5e1e-465d-92a6-228dcaa6b148",
"name": "Air Jordan",
"created-at": "2023-08-02T15:47:07.000Z",
"updated-at": "2023-08-02T15:47:07.000Z"
},
{
"uuid": "e9c8dee6-3bd8-4045-953d-929f5d81cb82",
"name": "New Balance",
"created-at": "2023-08-05T23:13:04.000Z",
"updated-at": "2023-08-05T23:13:04.000Z"
},
{
"uuid": "95b54167-a23f-4ca0-81c0-8cf90a3619e2",
"name": "Nike",
"created-at": "2023-08-05T23:13:11.000Z",
"updated-at": "2023-08-05T23:13:11.000Z"
}
]
}Taxonomy
List Brands
Get all available brands.
GET
/
api
/
brands
List Brands
curl --request GET \
--url https://api.legitmark.com/api/brands \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.legitmark.com/api/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.legitmark.com/api/brands"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.legitmark.com/api/brands"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"rc_hit": true,
"rc_key": "brands:b3d8c2c047516490411d1b2d21695caf",
"message": "All the brands are fetched successfully.",
"brands": [
{
"uuid": "03e7eb07-5e1e-465d-92a6-228dcaa6b148",
"name": "Air Jordan",
"created-at": "2023-08-02T15:47:07.000Z",
"updated-at": "2023-08-02T15:47:07.000Z"
},
{
"uuid": "e9c8dee6-3bd8-4045-953d-929f5d81cb82",
"name": "New Balance",
"created-at": "2023-08-05T23:13:04.000Z",
"updated-at": "2023-08-05T23:13:04.000Z"
},
{
"uuid": "95b54167-a23f-4ca0-81c0-8cf90a3619e2",
"name": "Nike",
"created-at": "2023-08-05T23:13:11.000Z",
"updated-at": "2023-08-05T23:13:11.000Z"
}
]
}Authorizations
Bearer token authentication. Use your API key in the format: Bearer leo_xxxxxxxx
Query Parameters
Number of results per page
Required range:
1 <= x <= 100Page number
Required range:
x >= 1Search term for brand names
Response
200 - application/json
Brands retrieved successfully
Example:
true
Example:
"All the brands are fetched successfully."
Indicates if the response was served from cache
Example:
true
Cache key used for this response
Example:
"brands:abc123"